Factions 1.8.2 UUID 1.8.2-U0.7

Factions 1.8.2 UUID Support - No MCore

  1. externo6
    Inactive, use at own risk. No support will be given. Use this instead:
    https://www.spigotmc.org/resources/factionsone.9249/
    Intro

    Thought this might be useful for some people that had updated to Factions 1.8.2
    I have modified the changed made by @drtshock for the 1.6 branch and ported them over to the 1.8.2 branch. (Thank you drtshock!)

    If this has helped you, it would mean it alot to me if you bought drtshocks resource, without him this would not exist.
    http://www.spigotmc.org/resources/factionsuuid.1035/

    The functionality is the same with some features removed:
    • LWC support
    • Spout Support
    No 'new' features have been added like drtshocks version of the 1.6 branch, only that it supports UUID's

    Requirements
    Vault 1.4.1+
    Your economy plugin to support UUID's
    You to have made a backup

    Installation
    Replace over your current version of Factions 1.8.2, drag and drop into Plugins folder.
    If you used FactionChat, you must use this version here: https://james137137.ci.cloudbees.com/job/FactionChat/
    Permissions can be found here:
    https://github.com/externo6/Factions/blob/1.8.x/src/main/resources/plugin.yml
    After the plugin has converted the player names to UUID's you may need to do /f save for the new data to be saved.

    Notes
    • This is only for Factions 1.8.2!
    • I have not tested upgrading from Factions 1.6.9.5 (Though it has been reported to work ok)
    • Before you use this version, backup your data!
    • I cannot take responsibility for data loss.
    THIS IS JUST FOR PEOPLE WHO DONT WANT TO UPDATE TO V2 OF FACTIONS. NO ISSUES WILL BE FIXED.
    UPDATE TO NEW FACTIONS VERSIONS IF YOU WANT SUPPORT.

    Source: https://github.com/externo6/Factions

    Credit @drtshock, @RenegadeEagle

    Thanks :)
    Spiizy, Sataniel and Lubenica like this.

Recent Updates

  1. Spigot 1.8 update
  2. Fixes
  3. Factions 1.8.2 UUID 1.8.2-U0.5

Recent Reviews

  1. Docili
    Docili
    5/5,
    Version: 1.8.2-U0.7
    Since the time I use it, I can put you 5 stars Externo6! :D Obviously, nice work dude, and ty for your github.
  2. EricWal
    EricWal
    5/5,
    Version: 1.8.2-U0.7
    Thanks man, I love it It's working very good in the Server you are the best. It's very useful Plugin for Factions.
  3. Gunac
    Gunac
    4/5,
    Version: 1.8.2-U0.7
    PLEASE, I REALLY NEED LWC SUPPORT IS VERY IMPORTANT FOR ME. HELP ME PLSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS
  4. iResy
    iResy
    5/5,
    Version: 1.8.2-U0.7
    Some feature idea's:
    /f map has a toggleable minimap in the right corner
    /f cape (so you can set a banner url so people from the fac know were to get the fac/team cape)
  5. AverageAllan
    AverageAllan
    4/5,
    Version: 1.8.2-U0.7
    Uh, so players get a name change and their old name still seems to be in the old Faction and their new username is not in the Faction? Is this a server issue or a plugin issue? Respond for a 5 star, but as far as I'm concerned, the UUID does not come in place here and I am missing something?
  6. tenten8401
    tenten8401
    3/5,
    Version: 1.8.2-U0.7
    Gson lib missing despite it being in "lib" folder on 1.7.10.
  7. Sataniel
    Sataniel
    5/5,
    Version: 1.8.2-U0.7
    1. externo6
      Author's Response
      Link added to front page :)
  8. RageRealms
    RageRealms
    3/5,
    Version: 1.8.2-U0.7
    I can't change the config, everytime i do it resets back to default. I can't change the ' deny commands in enemy territory ' , i take one off and it breaks the config.
  9. JoezMC
    JoezMC
    5/5,
    Version: 1.8.2-U0.7
    Brilliant this is good for people who run a private server and who can't afford to buy drtshocks one
  10. FloThePony
    FloThePony
    5/5,
    Version: 1.8.2-U0.7
    Awesome plugin
    Works well on my server